MSK4TextInternal::Token Struct Reference

Internal: class to store field definition: TOKN entry. More...

## Public Member Functions

| Token ()
| constructor More...

## Public Attributes

MWAWField::Type | m_type
| the type More...
int | m_textLength
| the length of the text corresponding to the token More...
int | m_unknown
| unknown field More...
std::string | m_error
| a string used to store the parsing errors More...

## Friends

std::ostream & | operator<< (std::ostream &o, Token const &tok)
| operator << More...

## Detailed Description

Internal: class to store field definition: TOKN entry.

## Constructor & Destructor Documentation

MSK4TextInternal::Token::Token | ( |  | ) |

inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Token const & | tok
| ) |  |

friend

operator <<

## Member Data Documentation

std::string MSK4TextInternal::Token::m_error

a string used to store the parsing errors

Referenced by MSK4TextInternal::operator<<().

int MSK4TextInternal::Token::m_textLength

the length of the text corresponding to the token

Referenced by MSK4TextInternal::operator<<(), and MSK4Text::toknDataParser().

MWAWField::Type MSK4TextInternal::Token::m_type

the type

Referenced by MSK4TextInternal::operator<<(), and MSK4Text::toknDataParser().

int MSK4TextInternal::Token::m_unknown

unknown field

Referenced by MSK4TextInternal::operator<<(), and MSK4Text::toknDataParser().

The documentation for this struct was generated from the following file:

- MSK4Text.cxx